Bug 1283600 - Navigating to errata list with "Any organization" results in erroneous page
Navigating to errata list with "Any organization" results in erroneous page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.3
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 06:50 EST by Pavel Moravec
Modified: 2017-01-11 16:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 16:35:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2015-11-19 06:50:22 EST
Description of problem:
Having "Any organization" selected and clicking to errata list:

https://your.satellite.fqdn/errata

the browser requests you to select an organization. Selecting any, you get shiny error page that is really hard to navigate back from.

Version-Release number of selected component (if applicable):
Sat 6.1.3


How reproducible:
100%


Steps to Reproduce:
1. Set "Any Organization"
2. Click to Content -> Errata
3. Dialogue requests you to select Organization - chose any and Select


Actual results:
"The page you were looking for doesn't exist." error

production.log having:

2015-11-19 12:47:09 [F] 
ActionController::RoutingError (No route matches [GET] "/null"):
  /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
  /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'


Expected results:
no error, errata list page to load.


Additional info:
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:38:29 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-01-11 16:35:34 EST
On 6.2.6 this behaves correctly with the select organization page.

Note You need to log in before you can comment on or make changes to this bug.